local STRINGS = GLOBAL.STRINGS
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS


PrefabFiles = {
	"wcobb",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/wcobb.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/wcobb.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/wcobb.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/wcobb.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/wcobb_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/wcobb_silho.xml" ),

    Asset( "IMAGE", "bigportraits/wcobb.tex" ),
    Asset( "ATLAS", "bigportraits/wcobb.xml" ),

	Asset("IMAGE", "images/wcobbmini.tex"),
	Asset("ATLAS", "images/wcobbmini.xml"),

}

AddMinimapAtlas("images/wcobbmini.xml")


--STRINGS.CHARACTERS.GENERIC.DESCRIBE.WCOBB = 
--{
--	GENERIC = "He sure is smelly...",
--	ATTACKER = "Hey! I'm just a kid!",
--	MURDERER = "Is he even aware he just killed someone?",
--	REVIVER = "Wilbur Cobb, friend of ghosts.",
--	GHOST = "Gaaaaaaah!",
--}
--STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.WCOBB = 
--{
--	GENERIC = "Astonishing! There is actually someone here older than me.",
--	ATTACKER = "No sir! I'm just a little girl!",
--	MURDERER = "Perhaps now would be an ample time for him to perish.",
--	REVIVER = "I'm unsure as to how you were able to resurrect me, but thanks...",
--	GHOST = "It must be fake, I don't believe it!",
--}
--STRINGS.CHARACTERS.WAXWELL.DESCRIBE.WCOBB = 
--{
--	GENERIC = "I don't even know who this man is!",
--	ATTACKER = "Don't rough-house now!",
--	MURDERER = "Greasy curmudgeon!",
--	REVIVER = "I uhhhhhhhhhhhh, thanks...",
--	GHOST = "Even in death he bothers me!",
--}
--STRINGS.CHARACTERS.WOODIE.DESCRIBE.WCOBB = 
--{
--	GENERIC = "I think ya might not have much time left gramps.",
--	ATTACKER = "Hey! Don't you be hurting people!",
--	MURDERER = "Quit yer senile hissy fit old man!",
--	REVIVER = "I guess you really are a necromancer!",
--	GHOST = "Sorry! Don't haunt me!",
--}
--STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.WCOBB = 
--{
--	GENERIC = "He is world's oldest man!",
--	ATTACKER = "Is not fair to fight man so old!",
--	MURDERER = "Old man is lucky, luck is soon to run out!",
--	REVIVER = "He take care of me, like old friend from Elpis.",
--	GHOST = "Ahhhhhhhhhhhhhh! Is scary!",
--}
--STRINGS.CHARACTERS.WILLOW.DESCRIBE.WCOBB = 
--{
--	GENERIC = "He's ripe for cremation.",
--	ATTACKER = "That's a lot of blubber to burn ya coot!",
--	MURDERER = "I hope you like being set on fire!",
--	REVIVER = "My gratuity burns in you!",
--	GHOST = "Aaaaaaaaah!!",
--}
--STRINGS.CHARACTERS.WENDY.DESCRIBE.WCOBB = 
--{
--	GENERIC = "This elder could face death at any moment due to his age.",
--	ATTACKER = "Perhaps he is trying to make the most of his last breath?",
--	MURDERER = "His age has deteriorated his wisdom.",
--	REVIVER = "What!? Noooooo! Abigail! How could you!?",
--	GHOST = "He has perished, He may no longer kill...",
--}
--STRINGS.CHARACTERS.WX78.DESCRIBE.WCOBB = 
--{
--	GENERIC = "HA WE LIVE AS LONG AS WE ARE REPAIRED",
--	ATTACKER = "YOUR CHANCES OF SUCCESS ARE LOW",
--	MURDERER = "ERADICATE WILBUR COBB",
--	REVIVER = "ERROR: UNABLE TO DETERMINE TARGET'S COMPASSION FOR ROBOTS",
--	GHOST = "NOT IMPRESSED",
--}
--STRINGS.CHARACTERS.WES.DESCRIBE.WCOBB = (" ")

--AddPrefabPostInit("forest", function(inst)
--        if STRINGS.CHARACTERS.WATHGRITHR then
--STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.WCOBB = 
--{
--	GENERIC = "The village elder!",
--	ATTACKER = "I thought your kind was retired from war.",
--	MURDERER = "You may have killed, but not as many as I!",
--	REVIVER = "He has brought me back from Valhalla! Thanks madame...",
--	GHOST = "You must have not been hard to kill!",
--}
--end
--        if STRINGS.CHARACTERS.WEBBER then
--STRINGS.CHARACTERS.WEBBER.DESCRIBE.WCOBB = 
--{
--	GENERIC = "Too old there gramps.",
--	ATTACKER = "No! Don't hurt us!",
--	MURDERER = "We are not a monster, trust us!",
--	REVIVER = "Thank you handsome guy...",
--	GHOST = "AAAAAAAH!!",
--}
--        end
--end)

--GLOBAL.STRINGS.NAMES.WCOBB = "Wilbur Cobb"

--STRINGS.CHARACTER_TITLES.wcobb = "The Bandy-Legged Codger"
--STRINGS.CHARACTER_NAMES.wcobb = "Wilbur H. Cobb"
--STRINGS.CHARACTER_DESCRIPTIONS.wcobb ="*Is too senile to grasp his surroundings\n*Is old, weak, and tired"
--STRINGS.CHARACTER_QUOTES.wcobb = "\"Until the masses cry: Cheat the plate! And I say unto them: Let the doves free!\""
--STRINGS.CHARACTERS.WCOBB = require "speech_wcobb"


table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "wcobb")

local function ModMaxwellIntro(inst)
	if GLOBAL.GetPlayer().prefab == "wcobb" then
	inst.components.maxwelltalker.speeches.SANDBOX_1 =
        {
            appearsound = "dontstarve/maxwell/disappear",
	    voice = "dontstarve/maxwell/talk_LP",
		appearanim = "appear",
		idleanim= "idle",
		dialogpreanim = "dialog_pre",
		dialoganim="dial_loop",
		dialogpostanim = "dialog_pst",
		disappearanim = "disappear",
            disableplayer = true,
            skippable = true,
            {
                string = "Huh!?",
                wait = 3,
                anim = nil,
                sound = nil,
            },
            {
                string = "Sigh... I set a trap, and the one to fall for it is this curmudgeon...",
                wait = 3,
                anim = nil,
                sound = nil,
            },
            {
                string = "Well, uhh, you'd better find something to, eh... forget it.",
                wait = 3,
                anim = nil,
                sound = nil,
            },
		}
			
		inst.components.maxwelltalker.speeches.ADVENTURE_1 =
        {
		delay = 2,
        appearsound = "dontstarve/maxwell/appear_adventure",
	    voice = "dontstarve/maxwell/talk_LP_world1",
		appearanim = "appear2",
		idleanim = "idle2_loop",
		dialogpreanim = "dialog2_pre",
		dialoganim ="dialog2_loop",
		dialogpostanim = "dialog2_pst",
		disappearanim = "disappear2",
            disableplayer = true,
            skippable = false,
            {
			string = "So you've found my portal have you?",
			wait = 3,
			anim = nil,
			sound = nil,
		},
		{
			string = "I really don't want to be so hard on an elder like you.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "But since you're here,", 
			wait = 3, 
			anim = nil, 
			sound = nil, 
		},
		{
			string = "Have fun...", 
			wait = 2, 
			anim = nil, 
			sound = nil, 
		},
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_2 =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP_world2",
		appearanim = "appear3",
		idleanim = "idle3_loop",
		dialogpreanim = "dialog3_pre",
		dialoganim ="dialog3_loop",
		dialogpostanim = "dialog3_pst",
		disappearanim = "disappear3",
		disableplayer = true,
		skippable = true,
				{
			string = "Good work.",
			wait = 2,
			anim = nil,
			sound = nil,
		},
		{
			string = "I wasn't expecting someone so old to pull that off.", 
			wait = 4, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "Have another challenge just for kicks.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
	}
	
	inst.components.maxwelltalker.speeches.ADVENTURE_3 =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP_world4",
		appearanim = "appear4",
		idleanim = "idle4_loop",
		dialogpreanim = "dialog4_pre",
		dialoganim ="dialog4_loop",
		dialogpostanim = "dialog4_pst",
		disappearanim = "disappear4",
		disableplayer = true,
		skippable = true,
		{
			string = "Well, this is quite the predicament.",
			wait = 3,
			anim = nil,
			sound = nil,
		},
		{
			string = "But your luck runs out greasy old man!", 
			wait = 4, 
			anim = nil, 
			sound = nil,
		},
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_4 =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP_world4",
		appearanim = "appear4",
		idleanim = "idle4_loop",
		dialogpreanim = "dialog4_pre",
		dialoganim ="dialog4_loop",
		dialogpostanim = "dialog4_pst",
		disappearanim = "disappear4",
		disableplayer = true,
		skippable = true,
		{
			string = "Very good Wilbur.",
			wait = 4,
			anim = nil,
			sound = nil,
		},
		{
			string = "But please tell me,", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "How is someone older than me completing these challenges?", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_TWOLANDS =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP",
		appearanim = "appear2",
		idleanim = "idle2_loop",
		dialogpreanim = "dialog2_pre",
		dialoganim ="dialog2_loop",
		dialogpostanim = "dialog2_pst",
		disappearanim = "disappear2",
		disableplayer = true,
		skippable = true,
			{
			string = "Greetings. AGAIN.",
			wait = 1,
			anim = nil,
			sound = nil,
		},
		{
			string = "I can not stand for such behavior!",
			wait = 2,
			anim = nil,
			sound = nil,
		},
		{
			string = "So I came here to make you a deal.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "I will allow you to stay in this wonderful area!", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "Or you can take the wormhole and get feasted upon by Merms.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "You aren't good enough to try me.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "Whatever your choice. Live forever, or die trying.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_5 =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP_world5",
		appearanim = "appear5",
		idleanim = "idle5_loop",
		dialogpreanim = "dialog5_pre",
		dialoganim ="dialog5_loop",
		dialogpostanim = "dialog5_pst",
		disappearanim = "disappear5",
		disableplayer = true,
		skippable = true,
		{
			string = "ENOUGH!",
			wait = 1,
			anim = nil,
			sound = nil,
		},
		{
			string = "I CAN'T STAND YOU!", 
			wait = 1.5, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "HOW IS SOMEONE AS OLD AND WEAK AS YOU PULLING THIS OFF!?", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "JUST DIE ALREADY, OLD MAN AGE IS GONNA GET YA!", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},

		{
			string = "BUT EH, IF YOU CAN PULL THROUGH HERE,", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "I'LL BE WAITING...", 
			wait = 2.5, 
			anim = nil, 
			sound = nil,
		},
	}
            
	
	end
end
--
AddModCharacter("wcobb", "MALE")
AddPrefabPostInit("maxwellintro", ModMaxwellIntro)
