
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/wcobb.zip" ),
	--	Asset( "ANIM", "anim/ghost_wcobb_build.zip" ),
}
local prefabs = { }

--local function common_postinit(inst)
 --   inst.avatar_tex   = "avatar_wcobb.tex"
 --   inst.avatar_atlas = "images/avatars/avatar_wcobb.xml"
     
 --   inst.avatar_ghost_tex   = "avatar_ghost_wcobb.tex"
  --  inst.avatar_ghost_atlas = "images/avatars/avatar_ghost_wcobb.xml"
--end
local start_inv = { "trinket_10" }

local fn = function(inst)

	inst.components.sanity:SetMax(TUNING.WILSON_SANITY * 0.5)
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 0.8)
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 0.8)
	inst.components.combat.damagemultiplier = 0.75
        inst.components.sanity.night_drain_mult = TUNING.WENDY_SANITY_MULT*0
        inst.components.sanity.neg_aura_mult = TUNING.WENDY_SANITY_MULT*0

	-- choose which sounds this character will play
	inst.soundsname = "maxwell"

	-- a minimap icon must be specified
    inst.entity:AddMiniMapEntity()
    inst.MiniMapEntity:SetIcon("wcobbmini.tex")

	-- todo: Add an example special power here.
end

STRINGS.CHARACTER_TITLES.wcobb = "The Bandy-Legged Codger"
STRINGS.CHARACTER_NAMES.wcobb = "Wilbur H. Cobb"
STRINGS.CHARACTER_DESCRIPTIONS.wcobb ="*Is too senile to grasp his surroundings\n*Is old, weak, and tired"
STRINGS.CHARACTER_QUOTES.wcobb = "\"Until the masses cry: Cheat the plate! And I say unto them: Let the doves free!\""

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name
STRINGS.CHARACTERS.WCOBB = require "speech_wcobb"

return MakePlayerCharacter("wcobb", prefabs, assets, fn, start_inv)
